image: python:3.11-bullseye

stages:
  - test

variables:
  PIP_CACHE_DIR: "${CI_PROJECT_DIR}/.cache/pip"

cache:
  paths:
    - $PIP_CACHE_DIR

test:
  stage: test
  script:
    - mkdir -p "${PIP_CACHE_DIR}"
    - python -m venv env
    - env/bin/pip install --upgrade pip flake8 pytest
    - env/bin/pip install --editable .
    - env/bin/pytest
    - env/bin/flake8 chrootbuilder/ test/

e2e:
  stage: test
  needs: [] # do not wait for any jobs to start
  variables:
    CHROOTBUILDER_COMMIT: $CI_COMMIT_SHORT_SHA
  trigger:
    project: "BuildGrid/buildbox/buildbox-e2e"
    strategy: depend
